Bug 229905 - Post-layout `EditorState` updates should be scheduled using `RenderingUpdateScheduler`
Summary: Post-layout `EditorState` updates should be scheduled using `RenderingUpdateS...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-03 17:05 PDT by Wenson Hsieh
Modified: 2021-09-07 09:31 PDT (History)
7 users (show)

See Also:


Attachments
Patch for EWS (1.58 KB, patch)
2021-09-03 17:06 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff
With ChangeLog (2.31 KB, patch)
2021-09-04 11:37 PDT, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2021-09-03 17:05:10 PDT
This brings the number of rendering updates performed over the course of Speedometer 2 down from ~1350 to ~950.
Comment 1 Wenson Hsieh 2021-09-03 17:06:35 PDT
Created attachment 437325 [details]
Patch for EWS
Comment 2 Wenson Hsieh 2021-09-04 11:37:31 PDT
Created attachment 437345 [details]
With ChangeLog
Comment 3 Wenson Hsieh 2021-09-07 09:26:18 PDT
Comment on attachment 437345 [details]
With ChangeLog

Thanks for the review!
Comment 4 EWS 2021-09-07 09:30:21 PDT
Committed r282090 (241390@main): <https://commits.webkit.org/241390@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437345 [details].
Comment 5 Radar WebKit Bug Importer 2021-09-07 09:31:15 PDT
<rdar://problem/82825746>